[Bug 497140] Review Request: php-IDNA_Convert - Internationalized domain name to UTF-8 converter

bugzilla at redhat.com bugzilla at redhat.com
Wed Apr 22 21:21:46 UTC 2009


Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=497140





--- Comment #2 from David Nalley <david at gnsa.us>  2009-04-22 17:21:45 EDT ---
(In reply to comment #1)
> - Does the package work with php4? Maybe a version could be added to Requires:
> php >=5.

This does work with php 4.3 and later per the internal comments. I'll be happy
to add the requires with a version though since for current version of Fedora
php5 is the only option.



> MUST: The package must be licensed with a Fedora approved license and meet the 
> Licensing Guidelines. NEEDSFIX
> - According to idna_convert.class.php license is LGPLv2+ not LGPLv2. Other php
> files do not contain any license specifications.

The 'LICENCE' file included with the software distribution is LGPLv2, and given
the lack of licensing for the rest of the .php files this leads me to believe
that these are LGPLv2 and that thusly the package should be LGPLv2 instead of
LGPLv2+. I am open to correction on this point, though, but this is my
understanding.

-- 
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.




More information about the package-review mailing list